Create a comment on a task
curl --request POST \
--url https://api.quiva.ai/workspaces/task/{task_id}/comment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"attachments": [
"<string>"
],
"reply_id": "<string>"
}
'import requests
url = "https://api.quiva.ai/workspaces/task/{task_id}/comment"
payload = {
"body": "<string>",
"attachments": ["<string>"],
"reply_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
attachments: ['<string>'],
reply_id: '<string>'
})
};
fetch('https://api.quiva.ai/workspaces/task/{task_id}/comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/task/{task_id}/comment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => '<string>',
'attachments' => [
'<string>'
],
'reply_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/task/{task_id}/comment"
payload := strings.NewReader("{\n \"body\": \"<string>\",\n \"attachments\": [\n \"<string>\"\n ],\n \"reply_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/workspaces/task/{task_id}/comment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"<string>\",\n \"attachments\": [\n \"<string>\"\n ],\n \"reply_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/task/{task_id}/comment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": \"<string>\",\n \"attachments\": [\n \"<string>\"\n ],\n \"reply_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"url": "<string>",
"body": "<string>",
"attachments": [
"<string>"
],
"author": "<string>",
"reactions": {},
"reply_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_author": {
"name": "<string>",
"url": "<string>"
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}API Reference
Create a comment on a task
POST
/
workspaces
/
task
/
{task_id}
/
comment
Create a comment on a task
curl --request POST \
--url https://api.quiva.ai/workspaces/task/{task_id}/comment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"attachments": [
"<string>"
],
"reply_id": "<string>"
}
'import requests
url = "https://api.quiva.ai/workspaces/task/{task_id}/comment"
payload = {
"body": "<string>",
"attachments": ["<string>"],
"reply_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
attachments: ['<string>'],
reply_id: '<string>'
})
};
fetch('https://api.quiva.ai/workspaces/task/{task_id}/comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/task/{task_id}/comment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => '<string>',
'attachments' => [
'<string>'
],
'reply_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/task/{task_id}/comment"
payload := strings.NewReader("{\n \"body\": \"<string>\",\n \"attachments\": [\n \"<string>\"\n ],\n \"reply_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/workspaces/task/{task_id}/comment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"<string>\",\n \"attachments\": [\n \"<string>\"\n ],\n \"reply_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/task/{task_id}/comment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": \"<string>\",\n \"attachments\": [\n \"<string>\"\n ],\n \"reply_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"url": "<string>",
"body": "<string>",
"attachments": [
"<string>"
],
"author": "<string>",
"reactions": {},
"reply_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_author": {
"name": "<string>",
"url": "<string>"
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
Body
application/json
Response
Created comment
UI URL to navigate directly to this comment
User ID of the comment author, set by the backend
Reactions aggregated by emoji. Keys are emoji characters.
Show child attributes
Show child attributes
The person in the other system a comment speaks for. Integration callers only; cleared for everyone else.
Show child attributes
Show child attributes